package cn.base.conf;

import java.util.ArrayList;
import java.util.List;

import cn.base.tinyftp.TinyFtpCfgInfo;

public class Ftps extends NodeHome{
	private List<TinyFtpCfgInfo>vrcTinyFtpCfgInfoList=new ArrayList<TinyFtpCfgInfo>();
	private List<TinyFtpCfgInfo>apcTinyFtpCfgInfoList=new ArrayList<TinyFtpCfgInfo>();
	private List<TinyFtpCfgInfo>impywTinyFtpCfgInfoList=new ArrayList<TinyFtpCfgInfo>();
	public void fillField(){
		for(int i=0;i<this.getList().size();i++){
			String name=this.getList().get(i).getName();
			String value=this.getList().get(i).getValue();
			if(name.equalsIgnoreCase("ftpHost")==true)this.fillTinyFtpCfgInfo(value);
		}
	}
	public List<TinyFtpCfgInfo> getVrcTinyFtpCfgInfoList() {	
		return vrcTinyFtpCfgInfoList;
	}
	public List<TinyFtpCfgInfo> getApcTinyFtpCfgInfoList() {	
		return apcTinyFtpCfgInfoList;
	}
	public List<TinyFtpCfgInfo> getimpywTinyFtpCfgInfoList() {	
		return impywTinyFtpCfgInfoList;
	}
	private void fillTinyFtpCfgInfo(String value){
		String[]splitArray=value.split(":");
		TinyFtpCfgInfo tinyFtpCfgInfo=new TinyFtpCfgInfo();
		tinyFtpCfgInfo.setHost(splitArray[0]);
		tinyFtpCfgInfo.setPort(splitArray[1]);
		tinyFtpCfgInfo.setLoginName(splitArray[2]);
		tinyFtpCfgInfo.setLoginPasword(splitArray[3]);
		tinyFtpCfgInfo.setClientThreadCount(Integer.parseInt(splitArray[4]));
		if(splitArray[5].equalsIgnoreCase("vrc")==true){
			vrcTinyFtpCfgInfoList.add(tinyFtpCfgInfo);
		}
		if(splitArray[5].equalsIgnoreCase("apc")==true){
			apcTinyFtpCfgInfoList.add(tinyFtpCfgInfo);
		}
		if(splitArray[5].equalsIgnoreCase("impyw")==true){
			impywTinyFtpCfgInfoList.add(tinyFtpCfgInfo);
		}
	}
}
